Name:           python-fink-tns
Version:        0.14
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Push Fink candidates to TNS.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://pypi.org/project/fink-tns/
Source:         %{pypi_source fink_tns}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'fink-tns' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-fink-tns
Summary:        %{summary}

%description -n python3-fink-tns %_description


%prep
%autosetup -p1 -n fink_tns-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-fink-tns -f %{pyproject_files}


%changelog
%autochangelog